/*
 * ExampleInterruptibleClass.hpp
 *
 *  Created on: Apr 20, 2024
 *      Author: Gabriel
 */

#ifndef SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_
#define SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_

#include "Interruptible.hpp"
#include "GPIO_Pin.hpp"

class ExampleInterruptibleClass : protected Interruptible{
public:
	ExampleInterruptibleClass(GPIO_Pin* pin);
	virtual ~ExampleInterruptibleClass();
	int32_t init();
private:
	void irqHandler(InterruptReason* reason);
	GPIO_Pin* pin;
};

#endif /* SRC_COMPONENTS_EXAMPLEINTERRUPTIBLECLASS_HPP_ */
